@charset "UTF-8";

.main-visual {
    padding: 30px 0 12px;
}
.mv-slider {
    opacity: 0;
    transition: opacity 0.5s;
}
.mv-slider.is-ready {
    opacity: 1;
}
.mv-slider .swiper-wrapper {
    transition-timing-function: cubic-bezier(0.2, 1, 0.4, 1);
}
.mv-slider .swiper-slide {
    overflow: hidden;
    /* opacity: 0.3; */
    transition: opacity 0.4s ease;
}
.mv-slider .swiper-slide-active {
    opacity: 1;
}
.swiper-slide:not(.swiper-slide-active) a {
    /* pointer-events: none; */
}
.swiper-button-next,
.swiper-button-prev {
    width: 48px;
    height: 48px;
    background-color: var(--accent_color);
    border-radius: 100%;
    box-sizing: border-box;
    top: 50%;
    transform: translateY(-50%);
}
.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 24px !important;
    color: #fff;
}
.swiper-button-next::after {
    margin-left: 4px;
}
.swiper-button-prev::after {
    margin-right: 4px;
}
.mv-slide {
    color: var(--accent_text_color);;
    text-decoration: none;
    display: block;
}
.mv-slide__image {
    /* aspect-ratio: 3 / 2; */
    aspect-ratio: 5 / 3;
    overflow: hidden;
}
.mv-slide__image img {
    width: 100%;
    height: 100%;
    border-radius: 12px;
    object-fit: cover;
    display: block;
    border: 1px solid var(--border-color);
}
.mv-slide__categories {
    margin-top: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
}
.mv-slide__categories span {
    display: inline-block;
    vertical-align: middle;
    font-size: 12px;
    color: var(--accent_color);
    padding: 4px 8px;
    border: 1px solid var(--border-color);
    margin-right: 5px;
    border-radius: var(--radius_min);
}
.mv-slide__title {
    margin-top: 15px;
    margin-bottom: 0;
    font-size: 20px;
    line-height: 1.4;
}
.mv-slide__author {
    margin-top: 15px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.mv-slide__author .author-avatar img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
    object-fit: cover;
}
.mv-slide__author span {
    font-size: 14px;
}
@media (min-width: 768px) {
    /*
    .swiper{
    mask-image: linear-gradient(
        to right,
        transparent 0 5%,
        #000 8% 92%,
        transparent 95% 100%
    );
    */
    padding-bottom: 4rem;
    }
    .mv-slide__title {
        font-size: 20px;
    }
    .swiper-button-next,
    .swiper-button-prev {
        width: 60px !important;
        height: 60px !important;
    }
}
@media (min-width: 1024px) {
    /* .mv-slide__image img {
        transform: translateZ(0);
    }
    .mv-slide__image img,
    .mv-slide__author .author-avatar img {
        transition: filter 0.3s ease;
        will-change: filter;
    }
    .swiper-slide-active .mv-slide:hover .mv-slide__image img,
    .swiper-slide-active .mv-slide:hover .mv-slide__author .author-avatar img {
        filter: brightness(0.8);
    }


    .mv-slide__title,
    .mv-slide__author {
        transition: color 0.3s ease;
    } */
    .swiper-slide-active .mv-slide:hover .mv-slide__title,
    .swiper-slide-active .mv-slide:hover .mv-slide__author {
        color: #000;
    }
}

@media (hover: hover) {
    /* .mv-slide__categories span {
        transition: var(--panda_anime);
    }
    .swiper-slide-active .mv-slide:hover .mv-slide__categories span {
        background-color: var(--accent_color);
        color: #fff;
    } */
}




@media (max-width: 767px){
    .swiper-button-next,
    .swiper-button-prev {
        width: 40px !important;
        height: 40px !important;
    }
}

